Skip to main content
DELETE
Delete department

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

String. The organization's internal ID (32-character hex string) or its externalSourceId. When the value matches the format of an internal ID, the internal ID takes precedence.

Example:

"11adfe2a080040e3892ffb89c21ec44e"

departmentId
string
required

String. The ID of the department to delete, as returned in the id field of the response. Lookup by externalSourceId is not supported for departments, unlike organizationId.

Example:

"9360d03ad7294220868d67f42a2a144d"

Response

No Content — department and its sub-departments successfully deleted